org.eclipse.ecf.remoteservice.client

## Class RemoteCallable.Builder

- java.lang.Object
- - org.eclipse.ecf.remoteservice.client.RemoteCallable.Builder

Enclosing class:
  RemoteCallable

    public static class RemoteCallable.Builder
    extends Object

Since:
  8.5

### Constructor Summary

Constructors
Constructor and Description
`Builder(String methodName, String resourcePath)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IRemoteCallable` `build()`
`RemoteCallable.Builder` `setDefaultParameters(IRemoteCallParameter[] defaultParameters)`
`RemoteCallable.Builder` `setRequestTimeout(long timeout)`
`RemoteCallable.Builder` `setRequestType(IRemoteCallableRequestType requestType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder(String methodName,
                   String resourcePath)

### Method Detail

#### setDefaultParameters

    public RemoteCallable.Builder setDefaultParameters(IRemoteCallParameter[] defaultParameters)

#### setRequestTimeout

    public RemoteCallable.Builder setRequestTimeout(long timeout)

#### setRequestType

    public RemoteCallable.Builder setRequestType(IRemoteCallableRequestType requestType)

#### build

    public IRemoteCallable build()